import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatDatepickerInputEvent } from '@angular/material/datepicker';
import { FormControl, FormBuilder, FormGroup } from '@angular/forms';
import { MatDateFormats } from '@angular/material/core';
import * as i0 from "@angular/core";
export declare const MY_FORMATS: MatDateFormats;
export declare class Datepicker2Component implements OnChanges {
    private fb;
    chooseLabel: string;
    disable: boolean;
    required: boolean;
    disableCalendar: boolean;
    hideError: boolean;
    date: Date;
    startDateRange: Date;
    endDateRange: Date;
    min: number;
    max: number;
    reset: boolean;
    dateRange: boolean;
    dateChange: EventEmitter<any>;
    dateForm: FormControl;
    form: FormGroup;
    clickout(event: any): void;
    constructor(fb: FormBuilder);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Method to detect changes on the datepicker
     * @param type - Event type, input or calendar
     * @param event - new date
     */
    addEvent(type: string, event: MatDatepickerInputEvent<Date>): void;
    dtpOpened(): void;
    markAsDirty(): void;
    onCloseDatePickerRange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Datepicker2Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Datepicker2Component, "uno-datepicker2", never, { "chooseLabel": "chooseLabel"; "disable": "disable"; "required": "required"; "disableCalendar": "disableCalendar"; "hideError": "hideError"; "date": "date"; "startDateRange": "startDateRange"; "endDateRange": "endDateRange"; "min": "min"; "max": "max"; "reset": "reset"; "dateRange": "dateRange"; }, { "dateChange": "dateChange"; }, never, never>;
}
