import { EventEmitter, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { Grid } from '../../../lib/grid';
import { Column } from '../../../lib/data-set/column';
import { ActionCustom } from '../../../table.interfaces';
import * as i0 from "@angular/core";
export declare class TheadTitlesRowComponent implements OnChanges, OnDestroy {
    grid: Grid;
    sort: EventEmitter<any>;
    selectAllRows: EventEmitter<boolean>;
    getColumnFilters: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    private columnsTitle;
    colorRow: boolean;
    isMultiSelectVisible: boolean;
    showActionColumnRight: boolean;
    tableCollapsible: any;
    /**
     * Save the current field sort
     */
    currentFieldSort: string;
    private subscription$;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onMouseEnter(column: Column): void;
    onMouseLeave(column: Column): void;
    hidePopovers(): void;
    private columnHaveSortFilter;
    static ɵfac: i0.ɵɵFactoryDeclaration<TheadTitlesRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TheadTitlesRowComponent, "[ng2-st-thead-titles-row]", never, { "grid": "grid"; }, { "sort": "sort"; "selectAllRows": "selectAllRows"; "getColumnFilters": "getColumnFilters"; "customAction": "customAction"; }, never, never>;
}
