import { TemplateRef, AfterContentInit } from '@angular/core';
import { TabDirective } from './tab.directive';
import * as i0 from "@angular/core";
export declare class TabHeadingDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TabHeadingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabHeadingDirective, "[unoTabHeading]", never, {}, {}, never>;
}
export declare class TabContentDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TabContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabContentDirective, "[unoTabContent]", never, {}, {}, never>;
}
export declare class TabHeadingDetailDirective extends TabDirective implements AfterContentInit {
    headingTemplate: TabHeadingDirective;
    contentTemplate: TabContentDirective;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabHeadingDetailDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabHeadingDetailDirective, "uno-tab", never, {}, {}, ["headingTemplate", "contentTemplate"]>;
}
